#!/usr/bin/env python3
# -----------------------------------------------------------------------------
# Created on : 25.04.2022
# by : jzellinger
# SVN  $
#
#
# --- imports -----------------------------------------------------------------
import requests
import os

def send_dag_update_trigger(dag_id: str, data: dict, url: None):
    """
    
    :param url:
    :param dag_id:
    :param data: 
    :return: 
    """

    if url is None:
        try:
            self.__password = os.environ['response_url']
        except Exception as e:
            raise Exception("=== unable to read {} from environment variables! ===".format(e))

    response_body = {'dag_run': dag_id, 'data': data}

    requests.post(url, json=response_body, verify=False)